 /* Style for card container */
 .card-container {
     display: grid;
     grid-gap: 20px;
 }

 /* Style for individual card */
 .card {
     display: flex;
     align-items: center;
     background-color: #fff;
     border-radius: 8px;
     padding: 20px;
     box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
     animation: shimmer 2s infinite linear, shine 1s infinite linear;
 }

 /* Style for image */
 .card-image {
     width: 230px;
     /* Increased image width */
     height: 230px;
     /* Maintain aspect ratio if needed */
     background-color: #ccc;
     border-radius: 8px;
     margin-right: 20px;
 }

 /* Style for description */
 .card-description {
     flex: 1;
     background-color: #f0f0f0;
     height: 230px;
     /* Adjust according to your content */
     border-radius: 8px;
 }

 /* Shimmer animation */
 @keyframes shimmer {
     0% {
         background-position: -200px 0;
     }

     100% {
         background-position: 200px 0;
     }
 }

 /* Shine animation */
 @keyframes shine {
     0% {
         box-shadow: 0 0 0px #fff;
     }

     50% {
         box-shadow: 0 0 10px #fff;
     }

     100% {
         box-shadow: 0 0 0px #fff;
     }
 }

 /* Floating */
 .float {
     position: fixed;
     height: 60px;
     bottom: 40px;
     right: 40px;
     color: #FFF;
     border-radius: 50px;
     text-align: center;
     z-index: 100;
 }

 /* Flatpickr */
.flatpickr-input{
    display: none;
 }

 .flatpickr-calendar{
    width: 100%;
 }
 .main-inline-calender.input-group .flatpickr-calendar.inline {
     width: 100% !important;
 }

 .main-inline-calender.input-group .flatpickr-innerContainer {
     display: block;
 }

 .main-inline-calender.input-group .flatpickr-rContainer {
     display: block;
 }

 .main-inline-calender.input-group .flatpickr-rContainer .flatpickr-weekdays {
     width: 100% !important;
 }

 .main-inline-calender.input-group .flatpickr-rContainer .flatpickr-days {
     width: 100% !important;
 }

 .main-inline-calender.input-group .flatpickr-rContainer .flatpickr-days .dayContainer {
     width: 100% !important;
     max-width: none;
     min-width: unset;
 }

 .main-inline-calender.input-group .flatpickr-rContainer .flatpickr-days .dayContainer .flatpickr-day {
     border-radius: 5px;
     width: 100% !important;
     max-width: unset;
 }

 .main-flatpickr .form-control:read-only {
     background-color: unset;
 }

 .flatpickr-months {
     font-size: calc(12px + 2 * (100vw - 320px) / 1600);
 }

 .flatpickr-current-month {
     font-size: calc(14px + 5 * (100vw - 320px) / 1600);
 }

 @media (max-width: 400px) {
     .flatpickr-calendar.animate {
         width: 77%;
         left: 50% !important;
         transform: translateX(-50%);
     }
 }

 .flatpickr-calendar .flatpickr-days {
     width: unset;
 }

 .flatpickr-calendar .flatpickr-days .dayContainer {
     width: unset;
     min-width: unset;
     max-width: unset;
 }

 @media (max-width: 768px) {
     .flatpicker-calender .form-control {
         font-size: 14px;
     }
 }

.select2-container--default .select2-selection--single{
    height: 100%;
}

.select2-selection__rendered{
    margin-top: 5%;
}

.select2-selection__arrow{
    margin-top: 5%;
}

.grid {
    display: grid;
    grid-gap: var(--card-padding);
    margin: 0 auto;
    max-width: 60em;
    padding: 0;
}

@media (min-width: 42em) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

.card {
    background-color: #fff;
    border-radius: var(--card-radius);
    position: relative;
}

.card:hover {
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.15);
}

.radio {
    font-size: inherit;
    margin: 0;
    position: absolute;
    right: calc(var(--card-padding) + var(--radio-border-width));
    top: calc(var(--card-padding) + var(--radio-border-width));
}

@supports (-webkit-appearance: none) or (-moz-appearance: none) {
    .radio {
        -webkit-appearance: none;
        -moz-appearance: none;
        background: #fff;
        border: var(--radio-border-width) solid var(--color-gray);
        border-radius: 50%;
        cursor: pointer;
        height: var(--radio-size);
        outline: none;
        transition: background 0.2s ease-out, border-color 0.2s ease-out;
        width: var(--radio-size);
    }

    .radio::after {
        border: var(--radio-border-width) solid #fff;
        border-top: 0;
        border-left: 0;
        content: "";
        display: block;
        height: 0.75rem;
        left: 25%;
        position: absolute;
        top: 50%;
        transform: rotate(45deg) translate(-50%, -50%);
        width: 0.375rem;
    }

    .radio:checked {
        background: var(--color-green);
        border-color: var(--color-green);
    }

    .card:hover .radio {
        border-color: var(--color-dark-gray);
    }

    .card:hover .radio:checked {
        border-color: var(--color-green);
    }
}

.plan-details {
    border: var(--radio-border-width) solid var(--color-gray);
    border-radius: var(--card-radius);
    cursor: pointer;
    display: flex;
    flex-direction: column;
    padding: var(--card-padding);
    transition: border-color 0.2s ease-out;
}

.card:hover .plan-details {
    border-color: var(--color-dark-gray);
}

.radio:checked~.plan-details {
    border-color: var(--color-green);
}

.radio:focus~.plan-details {
    box-shadow: 0 0 0 2px var(--color-dark-gray);
}

.radio:disabled~.plan-details {
    color: var(--color-dark-gray);
    cursor: default;
}

.radio:disabled~.plan-details .plan-type {
    color: var(--color-dark-gray);
}

.card:hover .radio:disabled~.plan-details {
    border-color: var(--color-gray);
    box-shadow: none;
}

.card:hover .radio:disabled {
    border-color: var(--color-gray);
}

.plan-type {
    color: var(--color-green);
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1em;
}

.plan-cost {
    font-size: 2.5rem;
    font-weight: bold;
    padding: 0.5rem 0;
}

.slash {
    font-weight: normal;
}

.plan-cycle {
    font-size: 2rem;
    font-variant: none;
    border-bottom: none;
    cursor: inherit;
    text-decoration: none;
}

.hidden-visually {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}